# -*- coding: utf-8 -*-
# Generated by Django 1.10.5 on 2017-01-18 12:35
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Options',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('option_text', models.CharField(max_length=100, verbose_name='Options to the question')),
                ('votes', models.IntegerField(default=0)),
            ],
        ),
        migrations.CreateModel(
            name='Question',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('question_text', models.CharField(max_length=500, verbose_name='Question subject')),
                ('answer', models.CharField(blank=True, choices=[('A', 'A'), ('B', 'B'), ('C', 'C'), ('D', 'D')], max_length=1, null=True, verbose_name='The answer to the question')),
                ('chapter', models.CharField(blank=True, max_length=2, null=True, verbose_name='Question belong to Which chapter')),
                ('description', models.CharField(max_length=1000)),
                ('leanred', models.BooleanField(default=False, verbose_name='Mark it as learned.')),
            ],
        ),
        migrations.AddField(
            model_name='options',
            name='question',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='pmpexam.Question'),
        ),
    ]
